GNOME Font Viewer - 49.0
-------------------------------------------------------------------------------
Fonts 49.0 comes with no changes since 49.rc.

GNOME Font Viewer - 49.rc
-------------------------------------------------------------------------------
Fonts 49.rc comes with the following improvements:
 * Plug multiple memory leaks (Maximiliano Sandoval)
 * appdata: Remove kudos and add branding (Maximiliano Sandoval)
 * Add ctrl+w shortcut for window.close (Maximiliano Sandoval)

This version brings translation updates for the following locales:
 * Belarusian (Vasil Pupkin)
 * Japanese (Makoto Sakaguchi, Takayuki Kusano)
 * Nepali (Pawan Chitrakar)
 * Thai (Aefgh Threenine)
 * Uzbek (Baxrom Raxmatov)

GNOME Font Viewer - 48.0
-------------------------------------------------------------------------------
 * Fix a crash when installing fonts

This version brings translation updates for the following locales:
 * Chinese (Taiwan) (Cheng-Chia Tseng)

GNOME Font Viewer - 48.alpha.1
-------------------------------------------------------------------------------
 * Automate publishing of the Release Tarballs

This version brings translation updates for the following locales:
 * Belarusian (Vasil Pupkin)

GNOME Font Viewer - 47.0
-------------------------------------------------------------------------------
Fonts 47.0 comes with the following improvements:
 * Set application name and icon (Balló György)
 * Remove unused dependency on gnome-desktop (Balló György)

This version brings translation updates for the following locales:
 * Slovak (Jose Riha)
 * Turkish (Sabri Ünal)

GNOME Font Viewer - 47.alpha
-------------------------------------------------------------------------------
Fonts 47.alpha comes with the following improvements:
 * Add slant preview (Jeremias Ortega)
 * Fix install button mnemonic (Automeris naranja)
 * Fix the "Install" button stuck in "Installing" when font install is successful (Houssam Elbadissi)
 * Use adaptive dialogs (Automeris naranja, Christopher Davis)

This version brings translation updates for the following locales:
 * Hindi (Guntupalli Karunakar, Scrambled 777)
 * Kabyle (Rachida SACI)

GNOME Font Viewer - 46.0
-------------------------------------------------------------------------------
Fonts 46.0 comes with the following improvements:
* Fix incorrect/missing URLs (Vaishnavi Nawghare)
* Improve app metainfo (Sabri Ünal)

This version brings translation updates for the following locales:
 * Esperanto (Kristjan SCHMIDT)
 * Georgian (Ekaterine Papava)
 * Greek, Modern (1453-) (Efstathios Iosifidis)
 * Hebrew (Yaron Shahrabani)
 * Latvian (Rūdolfs Mazurs)
 * Panjabi (A S Alam)
 * Romanian (Florentina Mușat)


GNOME Font Viewer - 45.0
-------------------------------------------------------------------------------
Fonts 45.0 comes with a new look courtesy of the new libadwaita 1.4 widgets.

This version brings translation updates for the following locales:
 * Belarusian (Vasil Pupkin)
 * Chinese (China) (Boyuan Yang)
 * Dutch (Nathan Follens)
 * English (United Kingdom) (Bruce Cowan)
 * Greek, Modern (1453*) (Efstathios Iosifidis)
 * Icelandic (Sveinn í Felli)
 * Italian (Gianvito Cavasoli)
 * Kazakh (Baurzhan Muftakhidinov)
 * Portuguese (Brazil) (Leônidas Araújo)
 * Turkish (Sabri Ünal)

GNOME Font Viewer - 45.alpha
-------------------------------------------------------------------------------
Fonts 45.alpha comes with a new look courtesy of the new libadwaita 1.4 widgets.

This version brings translation updates for the following locales:
 * Chinese (China) (Boyuan Yang)
 * Dutch (Nathan Follens)
 * English (United Kingdom) (Bruce Cowan)
 * Icelandic (Sveinn í Felli)
 * Italian (Gianvito Cavasoli)
 * Turkish (Sabri Ünal)

GNOME Font Viewer - 44.0
-------------------------------------------------------------------------------
Fonts 44.0 comes with general consistency improvements to the application:

* The app now provides standard shortcuts like Ctrl+Q and Ctrl+F
* New widgetry allows for navigation via the back mouse button, alt+arrows, and touchscreen swipes
* Various buttons can now be used with mnemonics

This version brings translation updates for the following locales:
 * Basque (Asier Sarasua Garmendia)
 * Belarusian (Vasil Pupkin)
 * Bulgarian (Alexander Shopov)
 * Catalan (Jordi Mas i Hernandez)
 * Czech (Marek Černocký)
 * Danish (Ask Hjorth Larsen)
 * Finnish (Jiri Grönroos)
 * French (Jean-Marc Tissières)
 * Friulian (Fabio Tomat)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Philipp Kiemle, Jürgen Benvenuti)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Interlingue (Olga Smirnova)
 * Korean (DaeHyun Sung)
 * Lithuanian (Aurimas Černius)
 * Nepali (Pawan Chitrakar)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Persian (Danial Behzadi)
 * Polish (Piotr Drąg)
 * Portuguese (Hugo Carvalho)
 * Russian (Aleksandr Melman)
 * Serbian (Марко Костић)
 * Slovenian (Matej Urbančič)
 * Spanish (Daniel)
 * Swedish (Luna Jernberg)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

GNOME Font Viewer - 44.rc
-------------------------------------------------------------------------------
Fonts 44.rc comes with the following translation updates:
 * Basque (Asier Sarasua Garmendia)
 * Bulgarian (Alexander Shopov)
 * Czech (Marek Černocký)
 * Finnish (Jiri Grönroos)
 * French (Jean-Marc Tissières)
 * Friulian (Fabio Tomat)
 * Galician (Fran Dieguez)
 * Georgian (Ekaterine Papava)
 * German (Philipp Kiemle)
 * Hebrew (Yosef Or Boczko)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Korean (DaeHyun Sung)
 * Lithuanian (Aurimas Černius)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Polish (Piotr Drąg)
 * Portuguese (Hugo Carvalho)
 * Russian (Aleksandr Melman)
 * Serbian (Марко Костић)
 * Slovenian (Matej Urbančič)
 * Spanish (Daniel)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

GNOME Font Viewer - 44.beta
-------------------------------------------------------------------------------
Characters 44.beta comes with general consistency improvements to the application:

* The app now provides standard shortcuts like Ctrl+Q and Ctrl+F
* New widgetry allows for navigation via the back mouse button, alt+arrows, and touchscreen swipes
* Various buttons can now be used with mnemonics

This version brings translation updates for the following locales:
 * Belarusian (Vasil Pupkin)
 * Galician (Fran Dieguez)
 * German (Jürgen Benvenuti)
 * Hebrew (Yosef Or Boczko)
 * Indonesian (Kukuh Syafaat)
 * Interlingue (Olga Smirnova)
 * Nepali (Pawan Chitrakar)
 * Occitan (post 1500) (Quentin PAGÈS)
 * Portuguese (Hugo Carvalho)
 * Russian (Aleksandr Melman)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

GNOME Font Viewer - 43.0
-------------------------------------------------------------------------------
Fonts 43.beta comes with a new "About" button in the main window and the
following translation updates:
 - Abkhazian
 - Dutch
 - Friulian
 - Georgian
 - Hebrew
 - Icelandic
 - Italian
 - Latvian
 - Nepali
 - Occitan (post 1500)
 - Turkish

GNOME Font Viewer - 43.rc
-------------------------------------------------------------------------------
Fonts 43.rc comes with the following translation updates:
 - Abkhazian

GNOME Font Viewer - 43.beta
-------------------------------------------------------------------------------
Fonts 43.beta comes with a new "About" button in the main window and the
following translation updates:
 - Abkhazian
 - Georgian
 - Occitan (post 1500)

GNOME Font Viewer - 43.alpha
-------------------------------------------------------------------------------
Fonts 43.alpha comes with the following translation updates:
 - Dutch
 - Friulian
 - Georgian
 - Hebrew
 - Icelandic
 - Italian
 - Latvian
 - Nepali

GNOME Font Viewer - 42.0
-------------------------------------------------------------------------------
Fonts 42.0 comes with a port to GTK4 and the following translation updates:
 - Basque
 - Bulgarian
 - Catalan
 - Chinese (China)
 - Croatian
 - Czech
 - Finnish
 - French
 - Friulian
 - Galician
 - Icelandic
 - Indonesian
 - Korean
 - Lithuanian
 - Occitan (post 1500)
 - Persian
 - Polish
 - Portuguese
 - Portuguese (Brazil)
 - Russian
 - Slovak
 - Slovenian
 - Spanish
 - Swedish
 - Turkish
 - Ukrainian

GNOME Font Viewer - 42.rc
-------------------------------------------------------------------------------
Fonts 42.rc comes with the following translation updates:
 - Basque
 - Bulgarian
 - Catalan
 - Chinese (China)
 - Croatian
 - Czech
 - Finnish
 - French
 - Galician
 - Indonesian
 - Korean
 - Lithuanian
 - Occitan (post 1500)
 - Persian
 - Polish
 - Portuguese
 - Portuguese (Brazil)
 - Russian
 - Slovenian
 - Spanish
 - Swedish
 - Turkish
 - Ukrainian

GNOME Font Viewer - 42.beta
-------------------------------------------------------------------------------
Fonts 42.beta comes with a port to GTK4 by Evan Welsh,
and the following translation updates:
 - Chinese (China)
 - Czech
 - Occitan (post 1500)
 - Portuguese (Brazil)
 - Russian
 - Slovenian

GNOME Font Viewer - 42.alpha
-------------------------------------------------------------------------------
Fonts 42.alpha comes with the following translation updates:
 - Basque
 - Bulgarian
 - Croatian
 - Friulian
 - Galician
 - Icelandic
 - Indonesian
 - Persian
 - Portuguese
 - Slovak
 - Spanish
 - Ukrainian

GNOME Font Viewer - 41.0
-------------------------------------------------------------------------------
Fonts 41 comes with the following translation updates:
 - Catalan
 - Chinese (China)
 - Friulian
 - Hebrew
 - Occitan
 - Russian

GNOME Font Viewer - 40.0
-------------------------------------------------------------------------------
Fonts 40 comes with a slight visual refresh, sporting
rounded bottom window corners. In addition there have
been general bug fixes and improvements.

* The About dialog now provides a link to the repository (jridehalgh)
* Startup should be faster now that we use font-config's APIs directly (Evan Welsh)

* Translation updates:
 - Basque
 - Catalan
 - Chinese (China)
 - Chinese (Taiwan)
 - Danish
 - Dutch
 - Friulian
 - Galician
 - Greek, Modern (1453-)
 - Japanese
 - Kazakh
 - Kurdish, Central
 - Malay
 - Panjabi
 - Persian
 - Portuguese
 - Portuguese (Brazil)
 - Slovak
 - Ukrainian

GNOME Font Viewer - 3.34.0
-------------------------------------------------------------------------------
• Translation updates

GNOME Font Viewer - 3.33.90
-------------------------------------------------------------------------------
• Fix compiler warning [!9, Kalev Lember]
• Translation updates

GNOME Font Viewer - 3.33.4
-------------------------------------------------------------------------------
• Add a keyboard shortcut to go Back [#9, James Westman]
• Improve appdata file [#6]
• Fix font installation when filenames would collide [#10, #11]
• Display an error dialog when installation fails [#20]
• Improve compatibility for fonts with non-unicode charmaps [#769247]
• Fix thumbnailing for font collection files [#788149]
• Add a Location row to the Info dialog [#1]
• Port to GtkFlowBox [#2]
• Translation updates

GNOME Font Viewer - 3.32.0
-------------------------------------------------------------------------------
• Update the icon to follow the GNOME 3.32 guidelines [Jakub Steiner]
• Replace deprecated API [Cosimo Cecchi, Martin Blanchard]
• Improve usability of the Install button [#789699 Martin Blanchard]
• Remove app menu following GNOME 3.32 guidelines [Matthias Clasen]
• Translation updates

GNOME Font Viewer - 3.30.0
-------------------------------------------------------------------------------
• Show some more OpenType features
• Improve app data
• Translation updates

GNOME Font Viewer - 3.28.0
-------------------------------------------------------------------------------
• Translation updates

GNOME Font Viewer - 3.27.90
-------------------------------------------------------------------------------
• Fix icon loading
• Allow searching for fonts
• Allow scrolling in both directions
• Turn the info dialog into a page in the main window
• Translation updates

GNOME Font Viewer - 3.27.0
-------------------------------------------------------------------------------
• Show more general font information
• Show OpenType font variation information
• Show OpenType layout feature information
• Handle ttf and otf mimetypes (#788383)
• Fix a crash (#789511)
• Translation updates

GNOME Font Viewer - 3.26.0
-------------------------------------------------------------------------------
• Rename to "Fonts" in AppData file too (#786128, Jeremy Bicha)
• Translation updates

GNOME Font Viewer - 3.25.90
-------------------------------------------------------------------------------
• Use "Fonts" as user-visible application name (#783640, Jeremy Bicha)
• Port to use the Meson build system (#783613, Jeremy Bicha)
• Fix regression during startup sequence (#782738)
• Don't use gnome-common or intltool (#783611, Jeremy Bicha)
• Unconditionally source config.h (#783612, Jeremy Bicha)
• Translation updates

GNOME Font Viewer - 3.24.0
-------------------------------------------------------------------------------
• Improve usage of GApplication API
• Translation updates

GNOME Font Viewer - 3.23.91
-------------------------------------------------------------------------------

• Listen to fontconfig timestamp notifications instead of using file monitors
• Only show scalable fonts (#771857, Michael Catanzaro)

GNOME Font Viewer - 3.22.0
-------------------------------------------------------------------------------

• Add an icon name to the window
• Don't explicitly load RTL icons
• Translation updates

GNOME Font Viewer - 3.20.2
-------------------------------------------------------------------------------

• Use GApplication's internal handling of commandline arguments, for correcting
  DBus activation (#765518, Allison Ryan Lortie)
• Translation updates:
    Friulian (Fabio Tomat)
    Occitan (Cédric Valmary)

GNOME Font Viewer - 3.20.0
-------------------------------------------------------------------------------

• Add support for the TrueType Collection format (#752005, Peng Wu)
• Update AppData file (Richard Hughes)
• Fix support for HiDpi when rendering sample strings (#742428)
• Fix crash when no sample string can be constructed (#757680)
• Translation updates

GNOME Font Viewer - 3.16.2
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.16.0
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.15.90
-------------------------------------------------------------------------------

 • Add --help and --version (#702809)
 • Update for deprecations (#739224)
 • Avoid a crash due to an uninitialized variable
 • Translation updates

GNOME Font Viewer - 3.14.0
-------------------------------------------------------------------------------

 • Add X-GNOME-Utilities category to desktop file
 • Translation updates

GNOME Font Viewer - 3.13.90
-------------------------------------------------------------------------------

 • Make DBus activatable
 • Create cairo surfaces always in the main thread (Rui Matos)
 • Show regular close button instead of Cancel in info dialog (Yosef Or Boczko)
 • Add a title to info dialog (Yosef Or Boczko)
 • Translation updates


GNOME Font Viewer - 3.12.0
-------------------------------------------------------------------------------

 • Add support for rendering complex scripts (Khaled Hosny)
 • Fix header bar item positions (Yosef Or Boczko)
 • Use header bar in the info dialog
 • Standardize app menu Help/About/Quit (Michael Catanzaro)

GNOME Font Viewer - 3.10.0
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.9.90
-------------------------------------------------------------------------------

 • Fix back button direction for RTL locales (Yosef Or Boczko)
 • Port to GtkStack and GtkHeaderBar (Yosef Or Boczko)
 • Support Hi-Dpi displays
 • Make sure not to append extra header buttons when loading a file
 • Translation updates

GNOME Font Viewer - 3.8.0
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.7.91
-------------------------------------------------------------------------------

 • Port to use GdStack and GdHeaderBar
 • Translation updates


GNOME Font Viewer - 3.7.5
-------------------------------------------------------------------------------

 • Use a better padding for the font preview
 • Translation updates

GNOME Font Viewer - 3.7.4
-------------------------------------------------------------------------------

 • Don't paint a white background below font thumbnails
 • Add keywords to the desktop file
 • Don't call g_type_init(), depends on GLib 2.35.1
 • Translation updates

GNOME Font Viewer - 3.7.3
-------------------------------------------------------------------------------

 • Show an error dialog when we fail to load a font file
 • Fix a crasher when opening a non-existing file from the command line
 • Translation updates

GNOME Font Viewer - 3.6.2
-------------------------------------------------------------------------------

 • Fix Install button not refreshing correctly when opening an installed font
 • Fix a crasher when installing a new font
 • Translation updates

GNOME Font Viewer - 3.6.1
-------------------------------------------------------------------------------

 • Fix application name showing in dialog title
 • Fix a possible crasher when updating the font list
 • Translation updates

GNOME Font Viewer - 3.6.0
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.5.92
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.5.91
-------------------------------------------------------------------------------

 • Use the libgd submodule for GdMainToolbar
 • Translation updates

GNOME Font Viewer - 3.5.90
-------------------------------------------------------------------------------

 • Improve performance when loading the application's overview
 • Make loading of the overview model completely asynchronous
 • Translation updates

GNOME Font Viewer - 3.5.4
-------------------------------------------------------------------------------

 • Fix a compiler warning
 • Translation updates

GNOME Font Viewer - 3.5.3
-------------------------------------------------------------------------------

 • Refactor thumbnailing code to use g_io_scheduler_push_job() for robustness
 • Translation updates

GNOME Font Viewer - 3.5.2
-------------------------------------------------------------------------------

 • Fall back to C locale when constructing the sample string before picking an
   entirely random-glyph string
 • Flip font widget orientation for RTL locales
 • Always pick a valid size for fixed-size fonts
 • Fix missing string compression before display for PS fonts
 • Improve string sanitizing before display for information fetched out of the
   font files
 • Monitor fontconfig directories for new fonts
 • Support fontconfig XDG_DATA_HOME directory for font install, if present
 • Set a fallback icon when thumbnails are not available
 • Force black on white for font text display
 • Quit with Ctrl+Q
 • Use GResource for UI files
 • Correctly update the install button when install completes

GNOME Font Viewer - 3.5.1
-------------------------------------------------------------------------------

 • Rewrite the user interface using a GNOME 3 style
 • Implement a gallery mode for all the fonts on the system
 • Add an application menu and an about dialog
 • Make "Install" button insensitive if the font is already installed
 • Port the thumbnailer to cairo drawing
 • Translation updates

GNOME Font Viewer - 3.4.0
-------------------------------------------------------------------------------

 • Translation updates

GNOME Font Viewer - 3.3.92
-------------------------------------------------------------------------------

 • Fix unused variables GCC warnings
 • Translation updates

GNOME Font Viewer - 3.3.2.1
-------------------------------------------------------------------------------

 • Depend on GLib 2.31.0
 • Don't use deprecated GLib/GTK methods

GNOME Font Viewer - 3.3.2
-------------------------------------------------------------------------------

 • First unstable release.
 • First release after the GNOME Utilities split.
